"use strict";

const { images_url } = require("../../../constants");
const SoftwareArticles = require("./components/software-articles");

class SoftwareDevelopment {
    constructor(args) {
        Object.assign(this, args);
    }

    render() {
        return {
            tag: "div",
            id: "software-page",
            contents: [
                {
                    tag: "div",
                    class: "page-header logo-left",
                    contents: [
                        {
                            tag: "div",
                            class: "page-contents-center grid-wrapper",
                            contents: [
                                {
                                    tag: "div",
                                    class: "logo",
                                    contents: [
                                        {
                                            tag: "img",
                                            alt: `image mechanic electronic`,
                                            src: `${images_url}/meca_proc.svg`,
                                        },
                                    ],
                                },
                                { tag: "h1", contents: "Software" },
                                {
                                    tag: "p",
                                    contents: `Développement web, moteur de jeux ou outillage logiciel, 
                                    si nous avons besoin d'un service numérique et qu'il 
                                    est pertinent (ou juste que ça nous fait plaisir) de le développer 
                                    nous-même, nous essayons au maximum de le réaliser de façon générique 
                                    et de le publier sous license libre et open source.
                                    <br/><br/>Nous pouvons également fournir ce service pour d'autres entreprises.`,
                                },
                            ],
                        },
                    ],
                },
                new SoftwareArticles().render(),
            ],
        };
    }
}

module.exports = SoftwareDevelopment;
